Skip to content

Given an EDL parent node, update the order of its children.

PUT/api/{version}/composites/trees/{edl_hierarchy_or_template}/{parent_node_id}/children
NameDescription
Content-Typeapplication/json (default) or text/csv
Acceptapplication/json (default) or application/xml or text/csv
NameDescription
edl_hierarchy_or_templateChoose to update node order for either edl_hierarchy__v or edl_template__v.
parent_node_idThe ID of a parent node in the hierarchy.

Expressed as a JSON or a CSV.

NameDescription
id
required
The ID of the child node to update.
order__v
required
The new order for the node in the hierarchy, such as "1", "2", etc.
curl -X POST -H "Authorization: {SESSION_ID}" \ -H "Content-Type: application/json" \ -d '{"id": "0000000000000JLL","order__v": "2"}' https://myvault.veevavault.com/api/v26.1/composites/trees/edl_hierarchy__v/0000000000000JIT/children
{ "responseStatus": "SUCCESS" }